[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragControlObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

A drag object for dragging a control.

## Declaration

Source position: controls.pp line 548

`type TDragControlObject = class(TDragObject)`
`protected`
`function GetDragCursor(); override;` |  | Asks the Control to provide a drag cursor.
`function GetDragImages; override;` |  | Asks the Control to provide an ImageList.
`end;`

## Inheritance

`TDragControlObject` |  | A drag object for dragging a control.
`TDragObject` |  | Base class for managing drag operations and user feedback.
`TObject`

## Description

While a TDragObject can be used for dragging controls, this class knows that it drags a control, and asks it for a DragCursor and DragImages.

## See also

TDragObject |  | Base class for managing drag operations and user feedback.